Subject: Re: PowerBook5,4 -- no sound?

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 18 Apr 2006 06:51:57 +1000

On Mon, 2006-04-17 at 15:45 +0200, Andreas Schwab wrote:
> Benjamin Herrenschmidt <[email-masked]> writes:
> 
> > Interesting... I would have expected that setup to work... Oh well... at
> > this point, the best to do is to add support for your G5 to Johannes new
> > snd-aoa
> 
> I agree.  Unfortunately, the i2sbus probing already fails, due to
> requesting a memory region that is already (partially) claimed by other
> resources:
> 
> request_mem_region(80000000 - 80000fff, i2sbus control)
> 
>       80000000-8007ffff : 0.80000000:mac-io
>         8000002c-8000002f : 0.0000004c:fans
>         80000030-80000033 : 0.0000004c:fans
>         80000034-80000037 : 0.0000004c:fans
>         8000004c-8000004f : 0.0000004c:fans
>         80000050-8000008a : 0.00000050:gpio

Johannes,

Look like the bugs in the device-tree I told you about ...

Ben.